// $Id: TWSDemo11AnlEvent.h 754 2011-05-18 11:04:52Z adamczew $
//-----------------------------------------------------------------------
//       The GSI Online Offline Object Oriented (Go4) Project
//         Experiment Data Processing at EE department, GSI
//-----------------------------------------------------------------------
// Copyright (C) 2000- GSI Helmholtzzentrum fr Schwerionenforschung GmbH
//                     Planckstr. 1, 64291 Darmstadt, Germany
// Contact:            http://go4.gsi.de
//-----------------------------------------------------------------------
// This software can be used under the license agreements as stated
// in Go4License.txt file which is part of the distribution.
//-----------------------------------------------------------------------

#ifndef TWSDemo11ANLEVENT_H
#define TWSDemo11ANLEVENT_H

#include "TGo4EventElement.h"
#include "TWSDemo11UnpackEvent.h"

class TWSDemo11AnlEvent : public TGo4EventElement {
   public:
      TWSDemo11AnlEvent() ;
      TWSDemo11AnlEvent(const char* name) ;
      virtual ~TWSDemo11AnlEvent() ;
      virtual void  Clear(Option_t *t="");

      Float_t frData[WSDemo11_NUM_CHAN];

   ClassDef(TWSDemo11AnlEvent,1)
};
#endif //TWSDemo11ANLEVENT_H



