// $Id: TWSDemo11UnpackEvent.h 754 2011-05-18 11:04:52Z adamczew $
//-----------------------------------------------------------------------
//       The GSI Online Offline Object Oriented (Go4) Project
//         Experiment Data Processing at EE department, GSI
//-----------------------------------------------------------------------
// Copyright (C) 2000- GSI Helmholtzzentrum fr Schwerionenforschung GmbH
//                     Planckstr. 1, 64291 Darmstadt, Germany
// Contact:            http://go4.gsi.de
//-----------------------------------------------------------------------
// This software can be used under the license agreements as stated
// in Go4License.txt file which is part of the distribution.
//-----------------------------------------------------------------------

#ifndef TWSDemo11EVENT_H
#define TWSDemo11EVENT_H

#define WSDemo11_NUM_CHAN 8

#include "TGo4EventElement.h"

class TWSDemo11UnpackEvent : public TGo4EventElement {
   public:
      TWSDemo11UnpackEvent();
      TWSDemo11UnpackEvent(const char* name) ;
      virtual ~TWSDemo11UnpackEvent() ;

      /**
       * Method called by the event owner (analysis step) to clear the
       * event element.
       */
      virtual void Clear(Option_t *t="");

      Int_t fiCrate1[WSDemo11_NUM_CHAN];
      Int_t fiCrate2[WSDemo11_NUM_CHAN];
      Int_t fiCrate3[WSDemo11_NUM_CHAN];
      Int_t fiCrate4[WSDemo11_NUM_CHAN];

      Double_t fRatio12[WSDemo11_NUM_CHAN];

   ClassDef(TWSDemo11UnpackEvent,1)
};
#endif //TWSDemo11EVENT_H



