// $Id: TWSDemo11Analysis.h 524 2009-11-11 09:53:34Z adamczew $
//-----------------------------------------------------------------------
//       The GSI Online Offline Object Oriented (Go4) Project
//         Experiment Data Processing at EE department, GSI
//-----------------------------------------------------------------------
// Copyright (C) 2000- GSI Helmholtzzentrum fr Schwerionenforschung GmbH
//                     Planckstr. 1, 64291 Darmstadt, Germany
// Contact:            http://go4.gsi.de
//-----------------------------------------------------------------------
// This software can be used under the license agreements as stated
// in Go4License.txt file which is part of the distribution.
//-----------------------------------------------------------------------

#ifndef TWSDemo11ANALYSIS_H
#define TWSDemo11ANALYSIS_H

#include "TGo4Analysis.h"

class TH1D;
class TGo4MbsEvent;
class TGo4WinCond;
class TWSDemo11UnpackEvent;
class TWSDemo11AnlEvent;
class TWSDemo11Parameter;

class TWSDemo11Analysis : public TGo4Analysis  {
   public:
      TWSDemo11Analysis();
      TWSDemo11Analysis(int argc, char** argv);
      virtual ~TWSDemo11Analysis() ;
      virtual Int_t UserPreLoop();
      virtual Int_t UserEventFunc();
      virtual Int_t UserPostLoop();
   private:
      TGo4MbsEvent       *fMbsEvent;
      TWSDemo11UnpackEvent    *fRawEvent;
      TWSDemo11AnlEvent       *fCalEvent;
      TWSDemo11Parameter      *fPar;
      TGo4WinCond        *fWinCon1;
      TH1D               *fSize;
      Int_t               fEvents;
      Int_t               fLastEvent;

   ClassDef(TWSDemo11Analysis,1)
};

#endif //TWSDemo11ANALYSIS_H



